<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>About Page</title>
    <style>
     
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }

        header, nav, section, footer {
            margin: 20px;
            padding: 20px;
            background-color: #fff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        nav ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        nav li {
            display: inline;
            margin-right: 20px;
        }

        a {
            text-decoration: none;
            color: #333;
        }

        footer {
            margin-top: 20px;
            text-align: center;
            color: #777;
        }
        details {
            padding-left: 20px; /* Додати відступ зліва для вмісту details */
        }

        details p {
            margin: 0; /* Видалити зовнішній відступ для параграфів всередині details */
        }
        h2 {
            padding-left: 20px; /* Додати відступ зліва для заголовка h2 */
        }
    </style>
</head>
<body>
    <header>
       
     <h1>Assignment</h1>
    </header>
    
    <nav>
        <ul>
            <li><a href="index.html">Home</a></li>
            <li><a href="About me.html">About me</a></li>
            <li><a href="Final project.html">Final project</a></li>
        </ul>
    </nav>
<h2>Assimment</h2>
        <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week1.Principles and Practices</title>
</head>
<body>

    <details>
        <summary>Week1.Principles and Practices</summary>
        <p>Website Creation.<p>
<p>1.	Used GPT chat for code generation.<p>
<p>2.	Copied the code into MS Word. Edited it for my needs – inserted my data, changed section names.<p>
<p>3.	Saved the document with the .html extension.
	    I am improving my site postino. This week I learned how to make expandable links. 
	Made them for all the upcoming weeks. In week two, I added a table and formatted it.<p>
<p><p>
<p>GitHub Repository Creation.<p>
<p>1.	Registered on GitHub.<p>
<p>2.	Accepted the invitation to join the team's shared repository via email.<p>
<p>3.	Created a local clone of the repository. Faced initial issues – Git Desktop was not installed on the laptop, and on Windows, it stubbornly refused to install. Had to use a MacBook, where everything installed without problems. Copied the URL of the shared repository, made a local copy. In Git Desktop, added a folder with my name to this clone. Committed the changes and uploaded everything back to GitHub.<p>
<p>4.	In my folder, added a file with the code of my website through "add file" option.<p>
    </details>

 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week2.Computer-Aided Design</title>
</head>
<body>

    <details>
        <summary>Week2.Computer-Aided Design</summary>
     <p>For convenience, I decided to create a table with descriptions of all the programs to make it easier to search when needed.<p>
 <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Моя Таблиця</title>
</head>
<body>

<h2>Program's discription</h2>
<html>
<head>
<style>
  table {
    width: 100%;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid black;
    padding: 8px;
    text-align: left;
  }
  .col1 {
    width: 15%;
   
  } 

.col2 {
    width: 20%;
  }
.col3 {
    width: 40%;
  }
</style>
</head>
<body>

<table>
 <tr>
        <th class="col1">namber</th>
        <th class="col2">name</th>
        <th class="col3">for what</th>
        <th>coments</th>
    </tr>
   <tr>
       <td></td>
       <td></td>
       <td>2d</td>
       <td></td>
</tr>    
    <tr>
        <td>1</td>
        <td>scan2cad</td>
        <td> enables architects and engineers to bring projects and products to life. With its software, you can easily convert scanned plans and images in conventional file types to computer-aided design (CAD) and computer-aided manufacturing (CAM) files for editing and documentation.</td>
        <td></td>
 </tr>
    <tr>
        <td>2</td>
        <td>GIMP</td>
        <td>GIMP is a cross-platform image editor available for GNU/Linux, macOS, Windows and more operating systems. It is free software, you can change its source code and distribute your changes.
        <td></td>
<tr>
        <td>3</td>
        <td>BIMP</td>
        <td> With BIMP you can apply a set of manipulations to an entire group of images! It provides an easy to use interface and a lot of batch functions: Resize,Crop, Flip and rotate, Blurring and sharpening,Color (and curve) correction, Watermark, Rename, Change compression and format</td>
        <td></td>
 </tr>
 <tr>
        <td>4</td>
        <td>pixels</td>
        <td> for editing digital photographs and creating raster graphics.</td>
        <td>Creates artistic images upon request or edits uploaded files. The interface is simple, requiring no installation. Only registration through a Google account is needed.</td>

    </tr>
<tr>
        <td>5</td>
        <td>Photoshop</td>
        <td> Pixel Studio is a new tool for creating pixel art. It's simple, fast, and convenient. Pixel Studio features layers, animation, and all the necessary tools for creating cool projects. The editor is still in development, so feel free to suggest new features and leave feedback</td>
        <td>worked there before to create postcards. A very interesting tool. has great functionality.
            There is a lot of information freely available on how to work with this editor.</td>
 </tr>
<tr>
        <td>6</td>
        <td>Pixlr</td>
        <td>   for editing images with a variety of photo editors and photo-sharing services.</td>
        <td></td>
 </tr>
<tr>
        <td>7</td>
        <td>MyPaint</td>
        <td>  Interesting for its good support for artists engaged in digital painting.</td>
        <td></td>
 </tr>
<tr>
        <td>8</td>
        <td>Krita</td>
        <td>  A raster graphic editor with open-source code, written in Qt, primarily developed for digital painting and animation.</td>
        <td></td>
 </tr>
<tr>
        <td>9</td>
        <td>ImageMagick</td>
        <td>  The described software is a free, cross-platform suite of programs for non-interactive (batch) processing of graphic files. It supports numerous graphic formats, released under the GPL license. It can be utilized with programming languages such as Perl, C, C++, Python, Ruby, PHP, Java, in shell scripts, or as a standalone tool.</td>
        <td></td>
 </tr>
<tr>
        <td>10</td>
        <td>GraphicsMagick</td>
        <td>  The program you're referring to has the capability to generate new images on the fly, making it suitable for creating dynamic web applications. Additionally, it can be used for tasks such as resizing, rotating, focusing, reducing color, or adding effects to images, with the ability to save the result in the same or a different image format.
Image processing operations are accessible from the command line. It offers a diverse set of tools and libraries, allowing users to read, write, and process images in over 88 popular formats (including GIF, JPEG, JPEG-2000, PNG, PDF, PNM, and TIFF, among others). Notably, it can create GIF animations from multiple images.
</td>
        <td></td>
 </tr>
<tr>
        <td>11</td>
        <td>Converseen</td>
        <td>  The program you're describing is an image conversion tool that supports a wide range of graphic formats. Developers claim it covers almost all formats, and users can verify this by adding images, selecting the desired ones, choosing the input format, specifying the folder, and proceeding with the conversion.</td>
        <td></td>
 </tr>
<tr>
        <td>12</td>
        <td>Geeqie</td>
        <td>  is a free open software image viewer and organiser program for Linux, FreeBSD and other Unix-like operating systems</td>
        <td></td>
 </tr>
<tr>
        <td>13</td>
        <td>gThumb</td>
        <td>is an image viewer and browser for the GNOME Desktop. It also includes an importer tool for transferring photos from cameras.</td>
        <td></td>
 </tr>
<tr>
        <td>14</td>
        <td>Potrace</td>
        <td>Potrace(TM) is a tool for tracing a bitmap, which means, transforming a bitmap into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP format), and the output is one of several vector file formats. A typical use is to create SVG or PDF files from scanned data, such as company or university logos, handwritten notes, etc. The resulting image is not "jaggy" like a bitmap, but smooth. It can then be rendered at any resolution.</td>
        <td></td>
 </tr>
<tr>
        <td>15</td>
        <td>Inkscape</td>
        <td>It is a free vector graphics editor with capabilities similar to those of Illustrator, Freehand, CorelDraw, or Xara Xtreme</td>
        <td></td>
 </tr>
<tr>
        <td>16</td>
        <td>Adobe Illustrator</td>
        <td>It is a leading graphic design program that helps create designs for anything imaginable, from logos and icons to graphics and illustrations.</td>
        <td></td>
 </tr>
<tr>
        <td>17</td>
        <td>Sketchpad</td>
        <td>It is an interesting online drawing service. Creative works can be saved on your computer in formats such as png, jpeg, pdf, zip. The features of the service include:
	Various brushes.
	Fill with color, gradient, or patterns with adjustable transparency.
	Layer work.
	Ability to upload images from the computer as a separate layer.
	Set of cliparts.
	Adding text.
	Scaling.
	Export and the ability to share the created work on various social services.</td>
        <td>A very simple image editor. you can draw different pictures on different layers. did not like it very much. weak functionality</td>
 </tr>
<tr>
        <td>18</td>
        <td>Photopea</td>
        <td>It is a creative digital tool designed for students, serving as an advanced photo and graphics editor. This free alternative to Adobe Photoshop uses both vector and raster graphics (like Illustrator drawings and Photoshop digital photos) to help you create photos, posters, graphics, images, and other visual elements in various formats, including .psd, .tiff, and .jpeg.</td>
        <td>Works online, which is a big plus. Allows you to make changes to template images or upload your own. Convenient interface.</td>
 </tr>
<tr>
        <td>19</td>
        <td>CorelDRAW</td>
        <td>This program allows you to create professional designs with very user-friendly tools.</td>
        <td></td>
 </tr>
<tr>
        <td>20</td>
        <td>Scribus</td>
        <td>TIt is used for creating page layouts and preparing files for printing. Scribus can also create PDF files and forms. It supports various types of text and graphic files, CMYK color scheme, and ICC color profiles.</td>
        <td></td>
 </tr>
<tr>
        <td>21</td>
        <td>QCAD</td>
        <td>It is used for creating mechanical drawings and architectural plans.</td>
        <td></td>
 </tr>
<tr>
        <td>22</td>
        <td>FreeCAD</td>
        <td>It is used for modeling in the fields of mechanical engineering and industrial design, but it can be utilized in a broader range of applications, including architecture.</td>
        <td>Great functionality. It is enough to simply install. you can create objects from these shapes</td>
 </tr>
<tr>
        <td></td>
        <td></td>
        <td>3D design</td>
        <td></td>
 </tr>
<tr>
        <td>23</td>
        <td>SketchUp</td>
        <td>It is a powerful tool for creating, editing, and viewing 3D models. SketchUp combines the elegance and simplicity of hand-drawing with the capabilities of computer-aided design.</td>
        <td>https://lib.lntu.edu.ua/sites/default/files/2022-02/%D0%9F%D0%BE%D1%81%D1%96%D0%B1%D0%BD%D0%B8%D0%BA%20%D0%86%D0%93%20%D0%B2%20SketchUp.pdf hanbook</td>
         </tr>
    <tr>
        <td>24</td>
        <td>Tinkercad</td>
        <td>A free online program for 3D modeling.</td>
        <td></td>
     </tr>
      </tr>
    <tr>
        <td>25</td>
        <td>Shapesmith</td>
        <td>3D-print ready, Parametric</td>
        <td></td>
     </tr>
     <tr>
        <td>26</td>
        <td>Blender</td>
        <td>A software package for creating three-dimensional computer graphics that includes tools for modeling, animation, rendering, and video post-processing.</td>
        <td></td>
     </tr>
      <tr>
        <td>27</td>
        <td>Zbrush</td>
        <td>ZBrush is a 3D modeling program developed by Pixologic. Its notable feature is the simulation of the process of 'sculpting' 3D sculptures</td>
        <td></td>
     </tr>
      <tr>
        <td>28</td>
        <td>SculptGL</td>
        <td>For sculpting.</td>
        <td></td>
     </tr>
  <tr>
        <td>29</td>
        <td>Nomad</td>
        <td>For sculpting.</td>
        <td></td>
     </tr>
   <tr>
        <td>30</td>
        <td>Rhino</td>
        <td>Rhino is utilized for creating 2D drawings, modeling intricate 3D shapes, preparing models for presentation, and production. Its popularity is attributed to the NURBS technology and the Grasshopper3D plugin, which allows for programming parametric design.</td>
        <td></td>
     </tr>
     <tr>
        <td>31</td>
        <td>Solvespace</td>
        <td>FreeCAD is a free, parametric 2D and 3D CAD software for drafting and solid modeling of both individual parts and assembled mechanisms. It provides the capability to model and analyze kinematics.</td>
        <td></td>
     </tr>
     <tr>
        <td>32</td>
        <td>FreeCAD</td>
        <td>FreeCAD is programmed in C++ and Python. The program is based on OpenCasCade, which is a powerful geometry kernel. It reads and creates many open file formats such as STEP, IGES, STL, and others. Additionally, its interface is built on Qt FreeCAD, meaning it works seamlessly on Windows, Mac OS X, and Gnu/Linux platforms.
Like many modern 3D CAD models, it has a 2D component that helps extract detailed designs from the 3D model. This allows for the creation of 2D drawings, but direct 2D design (e.g., AutoCAD LT) is not its focus, nor is animation or organic shapes (e.g., those created by Maya, 3ds Max, or Cinema 4D).</td>
        <td></td>
     </tr>
      <tr>
        <td>33</td>
        <td>AutoCAD</td>
        <td>A two- and three-dimensional computer-aided design and drafting system</td>
        <td>I found the online version. It's very convenient to have access to projects from different places. The functionality takes some getting used to. Beginners need time to figure it out.</td>
     </tr>
     <tr>
        <td>34</td>
        <td>SolidWorks </td>
        <td>3D design of products (parts and assemblies) of any complexity level, taking into account the specifics of manufacturing. Creation of design documentation. Industrial design. Design of communications (wiring, pipelines, etc.).</td>
        <td></td>
     </tr>
  <tr>
        <td>35</td>
        <td>ONSHAPE</td>
        <td>ONSHAPE Standard is a full-featured 3D CAD system serving as a cloud service. It provides the ability to access files from any device anywhere in the world.
Key features of ONSHAPE Standard:Full-featured 3D CAD; Version control; Document exchange among project participants; Simultaneous real-time collaboration on the project by all participants.</td>
        <td></td>
     </tr>
     <tr>
        <td>36</td>
        <td>MagicaVoxel</td>
        <td>To create voxel graphics, a well-known and widely used tool is employed. Its simple user interface and set of tools make it popular among artists and game designers</td>
        <td></td>
     </tr>
     <tr>
        <td>37</td>
        <td>OpenSCAD</td>
        <td>This is free software for creating 3D models using scripts. One distinctive feature of OpenSCAD is that when creating a 3D model with this software, objects are not formed through transformations but rather through logical operations that alter their appearance.</td>
        <td>Uses program code to create objects. This is very inconvenient for untrained users. It takes a lot of time to understand the commands and construction principles. for example, the construction of a trapezoid consists of several stages. Construction of the base and individual faces.</td>
     </tr>
          <tr>
        <td>38</td>
        <td>nTopology</td>
        <td>is typically used in conjunction with other computer-aided design (CAD) and computer-aided engineering (CAE) software during the development of highly-optimized products in the aerospace, automotive, medical devices, and consumer products industries among others.</td>
        <td></td>
     </tr>
     <tr>
        <td>39</td>
        <td>GrabCAD</td>
        <td>An application for 3D printing.</td>
        <td></td>
     </tr>
     <tr>
        <td></td>
        <td></td>
        <td>interchange formats</td>
        <td></td>
     </tr>
     <tr>
        <td>40</td>
        <td>DXF</td>
        <td>The open file format for exchanging graphic information between CAD applications is the Drawing Exchange Format (DXF)</td>
        <td></td>
     </tr>
     <tr>
        <td>41</td>
        <td>STL</td>
        <td>The file format widely used for storing three-dimensional models of objects for use in additive technologies is the STL (Stereolithography) file format</td>
        <td></td>
     </tr>
     <tr>
        <td>42</td>
        <td>OBJ</td>
        <td>The file format for describing geometry was developed by Wavefront Technologies for their Advanced Visualizer animation package.</td>
        <td></td>
     </tr>
     <tr>
        <td>43</td>
        <td>FBX</td>
        <td>  The technology and file format were developed by Kaydara and are currently owned and continued to be developed by Autodesk. It is used to ensure compatibility between various 3D graphics programs.</td>
        <td></td>
     </tr>
     <tr>
        <td>44</td>
        <td>IGES</td>
        <td>An IGES drawing file stores vector image data for exchanging 2D and 3D information across various CAD programs. Manufacturers and designers use CAD programs to streamline planning and pricing processes, as well as to specify details of construction and design projects. IGES files have the extension .IGS and can store various types of schematic plan information, including layouts, volumetric models, and assembly diagrams.
        IGES stands for 'Initial Graphics Exchange Specification' and is a standard that stores information in ASCII format.</td>
        <td></td>
     </tr>
     <tr>
        <td>45</td>
        <td>STEP</td>
        <td>STEP stands for 'Standard for the Exchange of Product Data,' also known as ISO 10303. This widely-used file format is employed for 3D modeling and printing and serves as the ISO standard for data exchange. This means that STEP files can handle and store all the information of a 3D model, not just the basic geometry, ensuring a high level of accuracy.
           All 3D model data is stored as text, making it recognizable by various CAD systems. STEP is a standardized format, making it easy to create, distribute, and edit 3D models using different programs and software.
         STEP files go by several names, including:
         • ISO 10303 • STP file • P21 file • Physical STEP file</td>
        <td></td>
     </tr>
      <tr>
        <td>46</td>
        <td>GLTF</td>
        <td>This defines an extensible common publishing format for tools and services related to 3D content, optimizing development workflows and ensuring functional interoperability for the use of content within the industry.</td>
        <td></td>
     </tr>
     <tr>
        <td>47</td>
        <td>Alembic</td>
        <td>This is a file format for highly efficient storage of geometry and other scene information, which can now be directly loaded into Maxwell Render 3. Alembic support includes static and animated geometry, as well as particles, enhancing the speed and efficiency of your workflow.</td>
        <td></td>
     </tr>
     <tr>
        <td>48</td>
        <td>USD</td>
        <td>This is a three-dimensional (3D) format for describing computer graphics scenes. USD files contain data about 3D graphical elements, including the scene layout</td>
        <td></td>
     </tr>
     <tr>
        <td></td>
        <td></td>
        <td>VR/AR</td>
        <td></td>
     </tr>
     <tr>
        <td>49</td>
        <td>SculptrVR</td>
        <td>Create sprawling, brilliant worlds and explore them with your friends! Invite your friends to an online game, then race to the finish with hang-gliders, or switch to climbing mode for even more fun.</td>
        <td></td>
     </tr>
     <tr>
        <td>50</td>
        <td>Gravity Sketch</td>
        <td>A unique game transforming virtual reality into a tool for 3D modeling and drawing. This application allows you to create volumetric works of art, design, and modeling directly in the virtual reality space. Forget about conventional boundaries and limitations of classical design – with Gravity Sketch, you can experience the freedom and flexibility in bringing your ideas to life.
             Incredible features of Gravity Sketch:
          1.	Intuitive Interface: Easy and convenient to learn, regardless of your experience in 3D design.
          2.	Powerful Tools: Brushes, shapes, primitives, and more for creating complex and detailed compositions.
          3.	Layer Work: Organize your creativity and edit individual layers to create the perfect project.
          4.	Collaboration: The ability to collaborate on projects with other users and exchange ideas.
          5.	Export and Import: Save your creations and import them into other programs for additional detailing and editing.</td>
        <td></td>
     </tr>
 <tr>
        <td>51</td>
        <td>Kodon</td>
        <td>Kodon is a product by TenkLabs AS, born and raised in Norway. With Kodon we have developed an industry changing sculpting software in VR, that allows artists to create 3D models in a true 3D environment.
        Over the past 4 years our developers have worked night and day creating a unique hybrid solution. We want to allow artists to switch between VR and the traditional tablet and pen, but also between voxels, poly modeling and surface sculpting within the same program. We aim to deliver an optimal workflow with increased speed, performance and creative freedom that can fit seamlessly into any production pipeline.
        Our goal is to become an industry leading solution for asset creation within the professional realm of 3D design </td>
        <td></td>
     </tr>
     <tr>
        <td>52</td>
        <td>Tilt Brush</td>
        <td>Allows drawing in three-dimensional space. Simply choose a color and brushes and start moving your hand smoothly. Before you is a blank canvas, and you can navigate, enter inside, and pass through your drawings. As it's all in virtual reality, you can even choose seemingly impossible materials for creativity, such as fire, stars, or snowflakes.</td>
        <td></td>
     </tr>
     <tr>
        <td></td>
        <td></td>
        <td>simulation</td>
        <td></td>
     </tr>
 <tr>
        <td>53</td>
        <td>Blender Physics video</td>
        <td>Blender's physics system enables the simulation of various real-world physical phenomena, allowing users to create a range of static and dynamic effects such as:
        • Hair, grass, and crowds • Rain • Smoke and dust • Water • Cloth • Jelly • And more.</td>
        <td></td>
     </tr>
     <tr>
        <td>54</td>
        <td>FreeCAD CalculiX</td>
        <td>The solver is able to do linear and non-linear calculations, for static, dynamic, and thermal problems. The solver operates on an Abaqus input file (.inp), which means it can be used with different pre-processors that support this format. The program includes its own graphical preprocessor which, however, is not used by FreeCAD, only the solver itself.</td>
        <td></td>
     </tr>
 <tr>
        <td>55</td>
        <td>Abaqus</td>
        <td>Abacus is a software package for finite element analysis and computer-aided design. The name and logo of this software are based on the abacus computational tool. The Abaqus package consists of five main software products, namely:
            1.	Abaqus/CAE, or "Complete Abaqus Environment" – a software application used for modeling and analyzing mechanical components and assemblies (with preprocessing) and visualizing finite element analysis results. A subset of Abaqus/CAE includes only the post-processing module, which can be launched independently in a product such as Abaqus/Viewer.
            2.	Abaqus/Standard – a general-purpose finite element analysis solver that uses an implicit integration scheme (traditional approach).
            3.	Abaqus/Explicit – a special-purpose finite element analysis solver that uses an explicit integration scheme to solve nonlinear systems with complex transient loads.
            4.	Abaqus/CFD – computational fluid dynamics software that provides advanced computational hydrodynamics with extensive preprocessing support presented in Abaqus/CAE.
            5.	Abaqus/Electromagnetic – a computational electromagnetics software application that solves electromagnetic computational problems.
        Abaqus products use the open-source Python programming language for various scripts. Additionally, Abaqus/CAE utilizes a cross-platform toolkit for developing the graphical user interface</td>
        <td></td>
     </tr>
     <tr>
        <td>56</td>
        <td>Elmer</td>
        <td>This is a computational tool for multiphysics tasks. It was developed by the company CSC in collaboration with Finnish universities, research laboratories, and industry. Elmer FEM Solver is free and open-source software that complies with the requirements of the GNU General Public License (GPL), version 2 or later.
        Elmer includes, for example, physical models for fluid dynamics, structural mechanics, electromagnetics, heat transfer, and acoustics. These are described by partial differential equations that Elmer solves using the finite element method (FEM).</td>
        <td></td>
     </tr>
     <tr>
        <td>57</td>
        <td>COMSOL Multiphysics</td>
        <td>This software is for finite element analysis, solving, and simulation for various physical and engineering applications, especially for coupled phenomena or multiphysics.</td>
        <td></td>
     </tr>
     <tr>
        <td>58</td>
        <td>ANSYS</td>
        <td>Software created by ANSYS, Inc. This package allows solving a wide range of problems in the areas of strength, heat, hydrodynamics, electromagnetism, as well as interdisciplinary analysis, combining all four areas. It enables structural optimization based on various types of analysis.</td>
        <td></td>
     </tr>
     <tr>
        <td>59</td>
        <td>NASTRAN</td>
        <td>This is finite element analysis software that was initially developed for NASA in the late 1960s under U.S. government funding for the aerospace industry. The MacNeal-Schwendler Corporation (MSC) was one of the main and early developers of the publicly available NASTRAN code. Its source code is embedded in various software packages used in many companies</td>
        <td></td>
     </tr>
     <tr>
        <td>60</td>
        <td>Open Dynamics Engine (ODE)</td>
        <td>This is finite element analysis software that was initially developed for NASA in the late 1960s under U.S. government funding for the aerospace industry. The MacNeal-Schwendler Corporation (MSC) was one of the main and early developers of the publicly available NASTRAN code. Its source code is embedded in various software packages used in many companies</td>
        <td></td>
     </tr>
     <tr>
        <td>60</td>
        <td>Open Dynamics Engine (ODE)</td>
        <td>This is finite element analysis software that was initially developed for NASA in the late 1960s under U.S. government funding for the aerospace industry. The MacNeal-Schwendler Corporation (MSC) was one of the main and early developers of the publicly available NASTRAN code. Its source code is embedded in various software packages used in many companies</td>
        <td></td>
     </tr>
     <tr>
        <td>61</td>
        <td>Modelica</td>
        <td>Free and open-source software for modeling, simulation, optimization, and analysis of complex dynamic systems. It is based on the Modelica language and includes blocks for mechanics, electronics, motors, hydraulics, thermodynamics, control elements, and more. In terms of capabilities, it approaches computational environments such as Matlab Simulink and Scilab xCos, while providing a significantly more user-friendly representation of the system equations of the investigated block. It does not require substantial transformation or reduction to the Cauchy form, allowing users to simply specify initial conditions and write equations in velocities.</td>
        <td>Be sure to explore more. I use simulink in the educational process.</td>
     </tr>
     <tr>
        <td></td>
        <td></td>
        <td>audio, video</td>
        <td></td>
     </tr>
     <tr>
        <td>62</td>
        <td>Audacity</td>
        <td>Considered one of the simplest and most convenient audio editors, with which you can cut and join tracks, mix audio tracks, record sound, remove noise, and adjust volume levels</td>
        <td></td>
     </tr>
     <tr>
        <td>63</td>
        <td>Qsynth</td>
        <td>Qsynth is a fluidsynth GUI front-end application written in C++ around the Qt framework using Qt Designer. Eventually it may evolve into a softsynth management application allowing the user to control and manage a variety of command line softsynth but for the moment it wraps the excellent FluidSynth. FluidSynth is a command line software synthesiser based on the Soundfont specification.</td>
        <td></td>
     </tr>
     <tr>
        <td>64</td>
        <td>MuseScore</td>
        <td>This is a WYSIWYG editor with the ability to quickly input notes using both the computer keyboard and an external MIDI keyboard. It supports the editing of video recordings in DV, HDV, and AVCHD formats. Import and export of data in MIDI and MusicXML formats are supported, as well as the import of Band-in-a-Box application files. Additionally, the program can export scores to PDF, SVG, and PNG files, or to LilyPond documents for further detailed score refinement. Musescore tests and improves the capability to input information into the editor from graphic files in PNG, JPG, and PDF formats. This processing is carried out on the official website and downloaded to the user's computer in the form of approximate scores.
        The program features an alternative interface for editing documents called the Inspector. It is a dialog with a document tree where various values can be changed by entering numbers or selecting the necessary parameters.
        A template system is implemented, allowing the saving and loading of score formatting styles. There is a convenient manual insertion of line and page breaks.
        For score playback, either the FluidSynth synthesizer is used, which loads an embedded SF2 format sample, or any external synthesizer (via ALSA and/or JACK).
        The program's interface is translated into about 30 languages, including partial translation into Ukrainian</td>
        <td></td>
     </tr>
     <tr>
        <td>65</td>
        <td>Kdenlive</td>
        <td>Free, open-source software for non-linear video editing. Supports editing video footage in DV, HDV, and AVCHD formats.</td>
        <td></td>
     </tr>
     <tr>
        <td>66</td>
        <td>DaVinci Resolve</td>
        <td>  For editing and color correction, applying visual effects, creating graphics, and post-processing audio within a unified software environment.</td>
        <td></td>
     </tr>
     <tr>
        <td>67</td>
        <td>OBS Studio</td>
        <td>Free and open source software for video recording and live streaming.
         Download and start streaming quickly and easily on Windows, Mac or Linux.</td>
        <td></td>
     </tr>
     <tr>
        <td>68</td>
        <td>impleScreenRecorder</td>
        <td>is a Linux program that I've created to record programs and games. There were already a few programs that could do this, but I wasn't 100% happy with any of them, so I created my own.
        My original goal was to create a program that was just really simple to use, but as I was writing it I started adding more and more features, and the result is actually a pretty powerful program. It's 'simple' in the sense that it's easier to use than ffmpeg/avconv or VLC, because it has a straightforward user interface.</td>
        <td></td>
     </tr>
     <tr>
        <td></td>
        <td></td>
        <td>AI</td>
        <td></td>
     </tr>
     <tr>
        <td>69</td>
        <td>Midjourney</td>
        <td>is an independent research lab exploring new mediums of thought and expanding the imaginative powers of the human species.
        We are a small self-funded team focused on design, human infrastructure, and AI. We have 11 full-time staff and an incredible set of advisors.</td>
        <td></td>
     </tr>
     <tr>
        <td>70</td>
        <td>Dall-E</td>
        <td>We’ve trained a neural network called DALL·E that creates images from text captions for a wide range of concepts expressible in natural language.</td>
        <td></td>
     </tr>
     <tr>
        <td>71</td>
        <td>Stable Diffusion</td>
        <td>creates images from text</td>
        <td></td>
     </tr>
     <tr>
        <td>72</td>
        <td>Dream Fields</td>
        <td>Dream Fields” is a huge collection of playable pads and atmospheres focused on fractured, lonesome glitches, nostalgic, organic moods, field recordings and subtle ASMR-like noisescapes.
        It's a world of small noises and distant radio signals in a lush and breathy tonal fog, in between nature and technology.
        All sounds have a different LFO pulse programmed on the Mod Wheel, and six effects to trigger on the fly (from F6 to A#6, Lo-Fi, Skreamer, Distortion, Saturation, Jump, Chorus).</td>
        <td></td>
     </tr>
     <tr>
        <td>73</td>
        <td>Dreamfusion</td>
        <td>One of the main challenges in creating a diffusion model that directly generates 3D assets is that there simply isn't as much available 3D data. 2D diffusion models have become powerful due to the vast dataset of images found on the internet. This cannot be said for 3D assets. Some 3D generative methods overcome this data scarcity by leveraging a large amount of 2D data</td>
        <td></td>
     </tr>
      <tr>
        <td>74</td>
        <td>Magic3D</td>
        <td>Generates a 3D mesh model with a colored texture within 40 minutes. This happens immediately after the company inputs a prompt like 'A blue poisonous frog sitting on a water lily.' The resulting enhanced output can be used in artistic CGI scenes or video games.</td>
        <td></td>
     </tr>
     <tr>
        <td>75</td>
        <td>text-to-cad</td>
        <td>Transforms text into a 3D model.</td>
        <td>It's very useful for creating a model, especially if you don't have graphic skills.</td>
     </tr>
    </tr>
</table>

</body>
</html>
<style>
    img {
      width: 600px; /* Фіксований розмір, можна вказати в пікселях або інших одиницях вимірювання */
      height: 450px; /* Фіксована висота, можна вказати в пікселях або інших одиницях вимірювання */
    }
  </style>
<p>Pixlr<p>
<img src="1.jpg" alt="Pixlr">
<img src="2.jpg" alt="Pixlr">
<img src="3.jpg" alt="Pixlr">
<p>Sketchpad<p>
<img src="5.jpg" alt="Pixlr">
<p>Photopea<p>
<img src="6.jpg" alt="Pixlr">
<p>Photopea<p>
<img src="7.jpg" alt="Pixlr">
<p>FreeCAD<p>
<img src="8.jpg" alt="Pixlr">
<p>OpenSCAD <p>
<img src="9.jpg" alt="Pixlr">
<p>text-to-cad<p>
<img src="10.jpg" alt="Pixlr">
<p>AutoCad online<p>
<img src="21.jpg" alt="Pixlr">
    </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week3.Computer-Controlled Cutting</title>
</head>
<body>         
 <details>
        <summary>Week3.Computer-Controlled Cutting</summary>
        <p>Working with an optical laser.<p>
<p>CO2 laser machine LMA-1390 1300x900mm CO2 laser equipment refers to installations for
marking gas lasers based on a carbon dioxide gas mixture. CO2 lasers are primarily used for
processing non-metallic materials and most plastics. They have a very good beam quality and are
therefore the most widely used types of lasers. CO2 laser machines are ideal for high-speed
precise marking and are widely used in the packaging of food products, pharmaceuticals, or
alcohol, electronic components, integrated circuits, electrical devices, mobile devices, construction
materials, and PVC pipes. CO2 laser marking machines also provide the best industrial solution for
product identification and traceability, easily performing product marking, engraving, and coding.<p>
<img src="35.jpg" alt="Pixlr"style="width: 25%; height: 25%;">
<p><b>	Detailed Description:</b><p>
<p>Basic Configuration: • Laser Module: RECI or EFR (RECI has a longer service life and is recommended for
cutting operations)<p>
<p>Working Area: 1300 * 900 mm<p>
<p>Working Area: 1300 * 900 mm<p>
<p>Control Panel: Ruida 6445<p>
<p>Lens and mirrors manufactured in Singapore<p>
<p>Transmission: Fulong beltdrive<p>
<p>Water leakage emergency switch<p>
<p>Software: RDV8<p>
<p>Voltage: 220v60hz or 110V<p>
<p>Applications: Cutting and engraving on non-metallic materials such as rubber, plastic, fabrics, leather,bamboo and wood, acrylic, cardboard, paper, and more.<p>
<p>The equipment can feed material forward and backward, solving the issue of processing large-sized materials.<p>
<p>Closed guides covered with a casing to ensure their protection.<p>
<p>Separate fan switch that can be toggled at any time to reduce noise.<p>
<p>Special bracket for holding the laser tube, eliminating the need for dimming.<p>
<p>The machine is equipped with leakage and overload protection.<p>
<p>Mechanical transmission with double-point support.<p>
<p>Connection through a USB interface.<p>
<p>Electrical components manufactured by Delixi.<p>
<p>Doors - with fire-resistant glass.<p>
<p>Electrical components with fire protection.<p>
<p>External port for connecting the fan.<p>
<p><b>Work at the machine</b><p>
<p>Safety instructions<p>
<p>1. Work behind the machine only with the lid closed. Because the laser can bounce off some
surface and cause dangerous duration.<p>
<p>2. Be sure to turn on the hood before starting, as the laser emits CO 2 during operation<p>
<p>3. Do not leave the laser on unattended.<p>
<p>4. Do not use metal brooms. When the laser hits the metal, a spark opens,
which may cause a fire.<p>
<p>Many varieties of material were found in the laboratory. Tried cutting on plywood and cardboard.
The width of both materials is 4 mm. It was not possible to select the intensity and speed by trial method,
because the lab has a great test sample with different speeds and intensities
laser The optimal laser intensity for our materials was taken as 50%. Speed ​​-<p>
<img src="34.jpg" alt="Pixlr"style="width: 25%; height: 25%;">
<p>In order to start working, you need to perform the following actions:
Turn on the lathe, computer, hood. Select the required image in the software environment
saved in appropriate formats (file-import) Select the image, check the dimensions,
choose the intensity and speed of the laser (by default there is a color distinction
- each color corresponds to a certain intensity and speed, they can be changed if necessary).
We chose the blue color (speed - , intensity 45-50%). Place the material on which
we will cut to the working field. Focus the laser with a special lens. Test the laser
a special function in the software environment.<p>
<img src="31.jpg" alt="Pixlr"style="width: 25%; height: 25%;"><img src="28.jpg" alt="Pixlr"style="width: 25%; height: 25%;">
<p>It will display the trajectory of the laser movement for
in order to correctly place the material on the work surface. After placing the material, close it
cover, press the start button, enjoy the process.
A knot was discovered while carving the plywood. In the place of this knot, the laser did not pass through. It wasn't
critical for the product.<p>
<p>When making my constructor. I printed two details first. She stopped the workbench to
evaluate whether the result is suitable. I was satisfied with the result, so I continued. When checking, I
accidentally moved a sheet of cardboard by literally 5 mm. It did not affect the result, but the next one
once you need to fix the material.<p>
<img src="23.jpg" alt="Pixlr"style="width: 25%; height: 25%;">
<p>Results:<p>
<p>Pros:<p>
<p>The construction turned out as expected, and its fixation maintains its shape.
The laser operates very quickly, which is a significant positive aspect.
There is the capability to print multiple parts simultaneously.<p>
<p>Cons:<p>
<p>I created drawings in AutoCAD, and since it was the only environment where I had some prior
experience, I did not utilize parametric design principles. If modifications are needed, all details will
have to be redrawn.
The fact that recesses should be exactly half the width of the part to ensure even shelves was
overlooked, affecting the aesthetics slightly.
The thickness of the laser itself was not considered, resulting in less tight fixation of the details.<p>
<img src="26.jpg" alt="Pixlr"style="width: 25%; height: 25%;"><img src="24.jpg" alt="Pixlr"style="width: 25%; height: 25%;">
<p>Conclusions:<p>
<p>Use parametric design for a large number of interdependent details. AutoCAD has a dynamic block
feature, but I learned about it too late. I believe OpenSCAD is the most suitable environment for
designing such parts, as it allows for easy variable adjustments. However, it requires programming
knowledge, making it a next-level consideration for me due to the additional time investment.<p>
<p>The laser&#39;s thickness was not taken into account during cutting, resulting in a recess width that was
0.15 mm wider than necessary.<p>
<p>Increase the chamfer size to approximately 1 mm.<p>
<p>Consider the first experience successful and valuable.<p>
<p>Optical laser. Attempt 2.
This activity started with improving the model developed in Fusion 360. It turned out that my model was not parameterized enough. 
	More precisely, it has too many parameters. Therefore, together with the mentor, they developed another option. Shown in the photo.
	<img src="36.jpg" alt="Pixlr"style="width: auto; height: auto;">
	It differs in that it is based on two parameters. The width of the cardboard and the length of one segment repeated in each element.
	According to these parameters, the model was rebuilt. However, the result was not good, because I reduced the width of the slot as for the cardboard from which I cut it this time.
	But this time I tried to cut it out of plywood. As it turned out, the piece was not of the best quality and was partially bent, so some elements connected well, some did not.
	Therefore, in addition, I made a test comb with different slot widths. 
	This test comb showed that for this sheet of plywood, the strongest connection is in elements with a slot width of 3.8 mm, and if we take into account that the designer user will be a child, 
	then the best option for plywood products is a connection with a width of 4 mm.
	 <img src="37.jpg" alt="Pixlr"style="width: auto; height: auto;"><p>
 	<p><b>Plotter</b><p>
         <p>1.	Silhouette portrait 3 plotter is used for cutting.<p>
         <p>2 First of all, adjust the operation of the plotter itself. 
             For this, the manufacturers carefully left step-by-step instructions on the website. https://www.silhouetteamerica.com/setup<p>
         <img src="38.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <p> <b>STEP 1: Check box contents & Setup machine</b><p>
         <p>a.	Check Included Items<p>
         <p>The Silhouette Portrait® 3 comes with the items shown in the following list. Check that all the items have been included before starting.<p>
         <p>Silhouette Portrait® 3<p>
         <p>USB Cord<p>
         <p>Power Cord<p>
         <p>Mat<p>
         <p>AutoBlade<p>
         <p>Blade Adjustment Tool<p>
         <p>Adapter<p>
         <p>b.	Remove Foam and Tape<p>
         <p>Remove all tape and foam from the machine in the indicated areas below prior to using the machine.<p>
         <img src="38.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="39.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="40.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <p>c.	Connect the Silhouette Portrait® 3<p>
         <p>Connect the Silhouette Portrait® 3 to the power supply and then plug the power cord into an outlet. Do not connect the USB to your computer.<p>
         <p>Do NOT connect the USB to your computer yet.<p>
         <p>d.	Setup the Silhouette Portrait® 3<p>
         <p>Lift the Silhouette Portrait® lid and power it on by pressing the power button on the right-hand side of the machine.<p>
         <p>STEP 2: Download & Install Software<p>
         <p>a.	Download the Silhouette Studio® software<p>
         <p>Click on your computer type below to begin downloading the software:
         <p>MAC (64-bit)
         <p>WINDOWS (64-bit)
         <p>NOTE: If you already have the Silhouette Studio® software installed from a previous Silhouette machine, it is recommended to update the software to the latest version provided here.<p>
         <p>b.	Install the Silhouette Studio® software<p>
         <p>Once the download is finished, select to RUN the software set up and select the default installation options provided.<p>
         <p>You may launch the software after installation is complete. You may launch the software at any time from the desktop icon created:<p>
         <p>c.	Launch the Silhouette Studio® software<p>
         <p>After installation is complete, launch the software from the desktop icon created:<p>

         <p>d.	Connect the Silhouette Portrait® 3<p>
         <p>1.	Power on your Silhouette machine.<p>
         <p>2.	Connect the machine to your computer with the included USB cable.<p>
         <p>3.	Go to the Send panel.<p>
         <img src="41.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="42.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <p>Next, we upload the image we want to cut using the file/open option. Any image saved in PNG format will work. I chose an image of Saturn since it is my son's favorite planet, and for the first try, I picked a simple image.
                                        I place the image on the work surface, then press send. I choose the cutting settings (material/force/speed). The first time, I selected smooth cardboard, and left the speed and force at default (22 and 4). The result is in the photo. Saturn was cut out, but the material was cut completely. For a sticker, it's unnecessary. So, I reduced the force (20 and 4), and the result was perfect.<p>
         <img src="43.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="46.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <p>I tried changing the material to a different color, but the cutting settings didn't match. I also found that the material underlay had lost its functionality, so the material didn't stick to it. If you try to cut something with many corners and small elements, the material shifts. Overall, the impression is positive. Apart from stickers, you can create various things such as box templates or decorative elements from felt.<p>
         <img src="44.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="45.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="47.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="48.jpg" alt="Pixlr"style="width: auto; height: auto;">
         <img src="51.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>

    </details>
 
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week4.Electronics Production</title>
</head>
<body>

    <details>
        <summary>Week4.Electronics Production</summary>
        <p>Printed Circuit Board (PCB) Manufacturing
 <p>1.	Upload PNG files of the routed board, holes, and cutting frame. <p>
 <p>2.	Use mods in the tutorial/electronics production section to generate the g-code. <p>
 <p>3.	Follow the mods instructions to generate code files. <p>
 <p>4.	Based on the parameters in the generated file, choose a 0.3mm conical milling cutter. Loosen the nut securing the cutter, remove the cutter, and the collet if replacing with a larger diameter. To remove the collet, turn it counterclockwise. Insert the collet into the nut until it clicks, then insert the cutter to a depth of 2/3 of its total length and tighten the nut. <p>
 <p>5.	Connect the milling machine to the laptop using USB. <p>
 <p>6.	Install the Universal G-code Sender application. When installing on Windows, ensure that all folders have Latin letters, as Cyrillic is not recognized. <p>
 <p>7.	Choose the connected USB port. If ports are not found, check for USB serial drivers. After selecting the port, establish a connection. <p>
 <p>8.	Place the material on the machine's work surface. <p>
 <p>9.	Set zero by using the arrows on the controller to position it in the X and Y axes. To set the Z-axis zero, use thin paper. Lower until the cutter slightly presses the paper without it being too tight. <p>
 <p>10.	Lock the zero position with the reset zero button. <p>
 <p>11.	Afterward, start milling. There are stop and pause buttons. Pressing stop completely halts the operation and can only be resumed from the beginning. The pause button stops milling but keeps the tool spinning. Milling resumes from where it stopped. <p>
 <p>12.	The first attempt was not successful due to the uneven surface of the attached textolite. See the photo below. <p>
 <img src="53(1).jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <img src="53.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <img src="55.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <p>13.	To eliminate unevenness, mill the entire surface. However, the cutter became dull, resulting in an unsatisfactory outcome. <p>
 <p>14.	After replacing the cutter, the result was satisfactory. Since I removed it from the work surface, I had to make a new board to drill holes and cut the board along the contour. See the photo below. <p>
  <img src="60.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <img src="56.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <img src="57.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <img src="59.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
 <img src="59.jpg" alt="Pixlr"style="width: auto; height: auto;"></p>
     </details>

 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week5.3D Scanning and Printing</title>
</head>
<body>

    <details>
        <summary>Week5.3D Scanning and Printing</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week6.Embedded Programming</title>
</head>
<body>

    <details>
        <summary>Week6.Embedded Programming</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week7.Computer-Controlled Machining</title>
</head>
<body>

    <details>
        <summary>Week7.Computer-Controlled Machining</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week8.Electronics Design</title>
</head>
<body>

    <details>
        <summary>Week8.Electronics Design</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week9.Output Devices</title>
</head>
<body>

    <details>
        <summary>Week9.Output Devices</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week10.mechanical design, machine design </title>
</head>
<body>

    <details>
        <summary>Week10.mechanical design, machine design </summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week11.break, midterm review</title>
</head>
<body>

    <details>
        <summary>Week11.break, midterm review</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week12.Input Devices</title>
</head>
<body>

    <details>
        <summary>Week12.Input Devices</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week13.molding and casting  </title>
</head>
<body>

    <details>
        <summary>Week13.molding and casting</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week14.networking and communications</title>
</head>
<body>

    <details>
        <summary>Week14.networking and communications</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week15. interface and application programming</title>
</head>
<body>

    <details>
        <summary>Week15. interface and application programming</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week16.wildcard week</title>
</head>
<body>

    <details>
        <summary>Week16.wildcard week</summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week17.applications and implications, project development </title>
</head>
<body>

    <details>
        <summary>Week17.applications and implications, project development </summary>
        <p>Website Creation.<p>
     </details>
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week18.system integration</title>
</head>
<body>

    <details>
        <summary>Week18.system integration</summary>
        <p>Website Creation.<p>
     </details> <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week19.invention, intellectual property, and income</title>
</head>
<body>

    <details>
        <summary>Week19.invention, intellectual property, and income</summary>
        <p>Website Creation.<p>
     </details> <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Week20.project presentations </title>
</head>
<body>

    <details>
        <summary>Week20.project presentations </summary>
        <p>Website Creation.<p>
     </details>
  
  </section>